XkbComputeRowBounds(3)

NAME
XkbComputeRowBounds - Update the bounding box of a row

SYNOPSIS
Bool XkbComputeRowBounds ( geom, section, row )
      XkbGeometryPtr geom;
      XkbSectionPtr section;
      XkbRowPtr row;

ARGUMENTS

- geom
    geometry that contains the section

- section
    section that contains the row

- row
    row to be examined and updated

DESCRIPTION

XkbComputeRowBounds checks the bounds of all keys in the row and updates the bounding box of the row if necessary. XkbComputeRowBounds returns False if any of the arguments is NULL; otherwise, it returns True.